<?php
// $Id: ec_product.views.inc,v 1.1.2.4 2009/01/09 05:29:34 gordon Exp $
/**
 * @file
 * Implement product hooks for views
 */

/**
 * Implementation of hook_views_data().
 */
function ec_product_views_data() {
  $data = array();

  $data['ec_product']['table']['group'] = t('Product');

  $data['ec_product']['table']['join'] = array(
    'node' => array(
      'left_field' => 'vid',
      'field' => 'vid',
      'type' => 'LEFT',
    ),
  );

  $data['ec_product']['is_product'] = array(
    'title' => t('Is product'),
    'help' => t('Filter out nodes which are products'),
    'filter' => array(
      'field' => 'ptype',
      'handler' => 'ec_product_handler_filter_is_product',
      'label' => t('Is product'),
      'type' => 'yes-no',
    ),
  );

  $data['ec_product']['ptype'] = array(
    'title' => t('Type'),
    'field' => array(
      'handler' => 'ec_product_handler_field_ptype',
      'click sortable' => TRUE,
    ),
  );

  $data['ec_product']['sku'] = array(
    'title' => t('SKU'),
    'field' => array(
      'field' => 'sku',
    ),
  );

  $data['ec_product']['price'] = array(
    'title' => t('Price'),
    'field' => array(
      'handler' => 'ec_common_views_handler_field_format_currency',
    ),
  );

  $data['ec_product']['checkout_links'] = array(
    'field' => array(
      'title' => t('Checkout links'),
      'help' => t('Provide links which will allow customers to purchase a product'),
      'handler' => 'ec_product_handler_field_checkout_links',
    ),
  );

  if (module_exists('ec_checkout')) {
    $data['ec_product']['checkout_product_form'] = array(
      'field' => array(
        'title' => t('Product checkout form'),
        'help' => t('Display the product form which can be used to purchase the product.'),
        'handler' => 'ec_product_handler_field_checkout_form',
      ),
    );
  }

  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function ec_product_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'ec_product') .'/views',
    ),
    'handlers' => array(
      'ec_product_handler_filter_is_product' => array(
        'parent' => 'views_handler_filter_boolean_operator',
      ),
      'ec_product_handler_field_ptype' => array(
        'parent' => 'views_handler_field',
      ),
      'ec_product_handler_field_checkout_links' => array(
        'parent' => 'views_handler_field',
      ),
      'ec_product_handler_field_checkout_form' => array(
        'parent' => 'views_handler_field',
      ),
    ),
  );
}

